$("#setup").hide();
$("#mainbox").hide();
chrome.storage.local.get('registered', function(val) {
  register(val.registered);
  });

function register(val){
 console.log(val); 
if(!val){
$('#setup').show();
$('#submit').click(function() {
  var inputID = $('#inputID').val();
  if (!inputID) {
    return;
  }
  chrome.storage.local.set({'registered':true,'ID':inputID});
    $('#setup').hide();
    main();
});
}
else{
main();
}
}
var userID;
var username;
var peer;
var con1,con2;

function main(){
$("#mainbox").show();
chrome.storage.local.get(function(items){
    userID = items.ID;
    console.log(userID)
    $('#pid').text(userID);
peerOpen();
// Await connections from others
peer.on('connection', connect);
});

}
function peerOpen(){
peer = new Peer(userID, {key: 'mycq6ayinh7x2yb9', debug: true});
}


  // Connect to a peer
  $('#connect').click(function() {

    if(peer.disconnected){
    con1.close();
    con2.close();
    peerOpen();
    }
     con1 = peer.connect($('#rid').val(), { label: 'chat' });
    con1.on('open', function() {
      connect(con1);
    });
    con1.on('error', function(err) { console.log(err); });
    con2 = peer.connect($('#rid').val(), { reliable: true, label: 'file' });
    con2.on('open', function() {
      connect(con2);
    });
    con2.on('error', function(err) { console.log(err); });
  });



// Handle a connection object.
function connect(c) {
  // Handle a chat connection.
  if (c.label === 'chat') {
     con1=c;
      var messages = $('<div></div>').addClass('messages');
     messages.append('<div><span class="peer">Connected with ' + c.peer + '</span></div>')
    $('#chatbox').append(messages);

    c.on('data', function(data) {
      messages.append('<div><span class="peer">' + c.peer + '</span>: ' + data +
        '</div>');
        });
        c.on('close', function() {
             messages.append('<div><span class="peer">Disconnected with ' + c.peer + '</span></div>');
        });
  } else if (c.label === 'file') {
    con2=c;
    c.on('data', function(data) {
      // If we're getting a file, create a URL for it.
      if (data.constructor === ArrayBuffer) {
        var dataView = new Uint8Array(data);
        var dataBlob = new Blob([dataView]);
        var url = window.URL.createObjectURL(dataBlob);
        $('.messages').append('<div><span class="peer">' +
            c.peer + ' has sent you a <a target="_blank" href="' + url + '">file</a>.</span></div>');
      }
    });
  }
//peer.disconnect();
}

$(document).ready(function() {
  // Prepare file drop box.
  var box = $('#sharebox');
  box.on('dragenter', doNothing);
  box.on('dragover', doNothing);
  box.on('drop', function(e){
    e.originalEvent.preventDefault();
    var file = e.originalEvent.dataTransfer.files[0];
        con2.send(file);
        $('.messages').append('<div><span class="file">You sent a file.</span></div>');
      
  });
  function doNothing(e){
    e.preventDefault();
    e.stopPropagation();
  }

$('#send').click(function() {
    // For each active connection, send the message.
    var msg = $('#msg').val();

             con1.send(msg);
        $('.messages').append('<div><span class="you">'+userID+': </span>' + msg
          + '</div>');
     
    $('#msg').val('');
    $('#msg').focus();
  });

  // Close a connection.
  $('#close').click(function() {
      con1.close();
      con2.close();
    });

});

chrome.runtime.onSuspend.addListener(function() { 

    peer.destroy();
  
});


